{
  "schema_version": "1.4.0",
  "id": "GHSA-cmmx-w757-8p75",
  "modified": "2025-04-09T03:39:52Z",
  "published": "2022-05-01T17:52:51Z",
  "aliases": [
    "CVE-2007-1351"
  ],
  "details": "Integer overflow in the bdfReadCharacters function in bdfread.c in (1) X.Org libXfont before 20070403 and (2) freetype 2.3.2 and earlier allows remote authenticated users to execute arbitrary code via crafted BDF fonts, which result in a heap overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2007-1351"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/33417"
    },
    {
      "type": "WEB",
      "url": "https://issues.rpath.com/browse/RPL-1213"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A11266"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A1810"
    },
    {
      "type": "WEB",
      "url": "http://issues.foresightlinux.org/browse/FL-223"
    },
    {
      "type": "WEB",
      "url": "http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=501"
    },
    {
      "type": "WEB",
      "url": "http://lists.apple.com/archives/Security-announce/2007/Nov/msg00003.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.apple.com/archives/security-announce/2009/Feb/msg00000.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.freedesktop.org/archives/xorg-announce/2007-April/000286.html"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2007-0125.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24741"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24745"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24756"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24758"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24765"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24768"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24770"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24771"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24772"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24776"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24791"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24885"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24889"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24921"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24996"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25004"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25006"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25096"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25195"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25216"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25305"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25495"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/28333"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/30161"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/33937"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200705-02.xml"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200705-10.xml"
    },
    {
      "type": "WEB",
      "url": "http://slackware.com/security/viewer.php?l=slackware-security&y=2007&m=slackware-security.626733"
    },
    {
      "type": "WEB",
      "url": "http://sourceforge.net/project/shownotes.php?group_id=3157&release_id=498954"
    },
    {
      "type": "WEB",
      "url": "http://sourceforge.net/project/shownotes.php?release_id=498954"
    },
    {
      "type": "WEB",
      "url": "http://sunsolve.sun.com/search/document.do?assetkey=1-26-102886-1"
    },
    {
      "type": "WEB",
      "url": "http://support.apple.com/kb/HT3438"
    },
    {
      "type": "WEB",
      "url": "http://support.avaya.com/elmodocs2/security/ASA-2007-178.htm"
    },
    {
      "type": "WEB",
      "url": "http://support.avaya.com/elmodocs2/security/ASA-2007-193.htm"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2007/dsa-1294"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2008/dsa-1454"
    },
    {
      "type": "WEB",
      "url": "http://www.gentoo.org/security/en/glsa/glsa-200805-07.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2007:079"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2007:080"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2007:081"
    },
    {
      "type": "WEB",
      "url": "http://www.novell.com/linux/security/advisories/2007_27_x.html"
    },
    {
      "type": "WEB",
      "url": "http://www.novell.com/linux/security/advisories/2007_6_sr.html"
    },
    {
      "type": "WEB",
      "url": "http://www.openbsd.org/errata39.html#021_xorg"
    },
    {
      "type": "WEB",
      "url": "http://www.openbsd.org/errata40.html#011_xorg"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0126.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0132.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0150.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/464686/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/464816/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/23283"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/23300"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/23402"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1017857"
    },
    {
      "type": "WEB",
      "url": "http://www.trustix.org/errata/2007/0013"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-448-1"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/1217"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/1264"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/1548"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2007-04-06T01:19:00Z"
  }
}